Package ru.bitel.common.inet

# Class IpRange

java.lang.Object
ru.bitel.common.inet.IpRange

Direct Known Subclasses:
  `IpResourceRange`, `IpResourceSubscriptionRuntime`

    public class IpRange
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected byte[]` | `addressFrom` |
  `protected byte[]` | `addressTo` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IpRange()` |
  `IpRange​(byte[] addressFrom, byte[] addressTo)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `byte[]` | `getAddressFrom()` |
  `byte[]` | `getAddressTo()` |
  `static boolean` | `inRange​(byte[] addressFrom1, byte[] addressTo1, byte[] addressFrom2, byte[] addressTo2)` | Входит ли первый диапазон во второй.
  `static boolean` | `intersects​(byte[] addressFrom1, byte[] addressTo1, byte[] addressFrom2, byte[] addressTo2)` | Пересекаются ли данные диапазоны.
  `static IpRange` | `newInstance​(byte[] subnet, byte[] mask)` |
  `static IpRange` | `newInstance​(byte[] subnet, int mask)` | Создает новый диапазон из подсети
  `static IpRange` | `newInstance​(IpNet net)` | Создает новый диапазон из подсети.
  `void` | `setAddressFrom​(byte[] ipFrom)` |
  `void` | `setAddressTo​(byte[] ipTo)` |
  `java.lang.String` | `toString()` |
  `static java.lang.String` | `toString​(byte[] addressFrom, byte[] addressTo)` | Возвращает строковое представление диапазона.
  `static java.lang.String` | `toString​(IpAddress addressFrom, IpAddress addressTo)` | Возвращает строковое представление диапазона.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### addressFrom

    protected byte[] addressFrom

  - ### addressTo

    protected byte[] addressTo

- ## Constructor Details

  - ### IpRange

    public IpRange()

  - ### IpRange

    public IpRange​(byte[] addressFrom, byte[] addressTo)

- ## Method Details

  - ### getAddressFrom

    public byte[] getAddressFrom()

  - ### setAddressFrom

    public void setAddressFrom​(byte[] ipFrom)

  - ### getAddressTo

    public byte[] getAddressTo()

  - ### setAddressTo

    public void setAddressTo​(byte[] ipTo)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### toString

    public static java.lang.String toString​(IpAddress addressFrom, IpAddress addressTo)
    Возвращает строковое представление диапазона. Если addressTo - null, то результат = `IpAddress.toString(byte[])` от addressFrom.
    Parameters:
      `addressFrom` - начало диапазона
      `addressTo` - конец диапазона
    Returns:

  - ### toString

    public static java.lang.String toString​(byte[] addressFrom, byte[] addressTo)
    Возвращает строковое представление диапазона. Если addressTo - null, то результат = `IpAddress.toString(byte[])` от addressFrom.
    Parameters:
      `addressFrom` - начало диапазона
      `addressTo` - конец диапазона
    Returns:

  - ### newInstance

    public static IpRange newInstance​(byte[] subnet, int mask)
    Создает новый диапазон из подсети
    Parameters:
      `subnet` -
      `mask` -
    Returns:

  - ### newInstance

    public static IpRange newInstance​(IpNet net)
    Создает новый диапазон из подсети.
    Parameters:
      `net` -
    Returns:

  - ### newInstance

    public static IpRange newInstance​(byte[] subnet, byte[] mask)

  - ### intersects

    public static boolean intersects​(byte[] addressFrom1, byte[] addressTo1, byte[] addressFrom2, byte[] addressTo2)
    Пересекаются ли данные диапазоны.
    Parameters:
      `addressFrom1` -
      `addressTo2` -
      `addressFrom2` -
      `addressTo2` -
    Returns:

  - ### inRange

    public static boolean inRange​(byte[] addressFrom1, byte[] addressTo1, byte[] addressFrom2, byte[] addressTo2)
    Входит ли первый диапазон во второй.
    Parameters:
      `addressFrom1` -
      `addressTo2` -
      `addressFrom2` -
      `addressTo2` -
    Returns: